package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.AreaAttr;

import java.util.List;

/**
 * 区域对象属性Service接口
 *
 * @author ruoyi
 * @date 2024-11-01
 */
public interface IAreaAttrService {
    /**
     * 查询区域对象属性
     *
     * @param areaCode 区域对象代码
     * @return 区域对象属性
     */
    AreaAttr selectAreaAttrByCode(String areaCode);

    /**
     * 查询区域对象属性列表
     *
     * @param areaCodes 区域对象属性列表
     * @return 区域对象属性集合
     */
    List<AreaAttr> selectAreaAttrList(List<String> areaCodes);

    /**
     * 新增区域对象属性
     *
     * @param areaAttr 区域对象属性
     * @return 结果
     */
    int insertAreaAttr(AreaAttr areaAttr);

    /**
     * 修改区域对象属性
     *
     * @param areaAttr 区域对象属性
     * @return 结果
     */
    int updateAreaAttr(AreaAttr areaAttr);

    /**
     * 删除区域对象属性信息
     *
     * @param areaCode 区域对象代码
     * @return 结果
     */
    int deleteAreaAttrByCode(String areaCode);
}
